nix3-registry-remove(1)

    Warning
    This program is experimental (@docroot@/development/experimental-features.md#xp-feature-nix-command) and its interface is subject to change.

Name

nix registry remove - remove flake from user flake registry

Synopsis

nix registry remove [option…] url

Examples

•   Remove the entry nixpkgs from the user registry:

    # nix registry remove nixpkgs

•   Remove the entry nixpkgs from a custom registry:

    # nix registry remove --registry ./custom-flake-registry.json nixpkgs

Description

This command removes from the user registry any entry for flake reference url.

Options

•   --registry (#opt-registry) registry

    The registry to operate on.

  Logging-related options

•   --debug (#opt-debug)

    Set the logging verbosity level to ‘debug’.

•   --log-format (#opt-log-format) format

    Set the format of log output; one of raw, internal-json, bar or bar-with-logs.

•   --print-build-logs (#opt-print-build-logs) / -L

    Print full build logs on standard error.

•   --quiet (#opt-quiet)

    Decrease the logging verbosity level.

•   --verbose (#opt-verbose) / -v

    Increase the logging verbosity level.

  Miscellaneous global options

•   --help (#opt-help)

    Show usage information.

•   --offline (#opt-offline)

    Disable substituters and consider all previously downloaded files up-to-date.

•   --option (#opt-option) name value

    Set the Nix configuration setting name to value (overriding nix.conf).

•   --refresh (#opt-refresh)

    Consider all previously downloaded files out-of-date.

•   --version (#opt-version)

    Show version information.

    Note

    See man nix.conf (@docroot@/command-ref/conf-file.md#command-line-flags) for overriding configuration settings with command line flags.